<?php

/***********************************************************
Plugin Name: Cart Product Feed Include/Exclude SKU Module
Plugin URI: www.shoppingcartproductfeed.com
Description: Include or exclude feed SKUs
Author: ShoppingCartProductFeed.com
Version: 1.0.0.0
Author URI: www.shoppingcartproductfeed.com
license	GNU General Public License version 3 or later; see GPLv3.txt
***********************************************************/

//Ensure the Cart-Product-Feed plugin exists and is loaded
if (!defined('ABSPATH')) exit; // Exit if accessed directly
$cpf_found = false;
require_once ABSPATH . 'wp-admin/includes/plugin.php';
$all_plugins = get_plugins();
foreach($all_plugins as $index => $this_plugin)
	if ($this_plugin['Name'] == 'ExportFeed - Create Product Feeds For 40+ Merchants') {
		include_once plugin_dir_path( dirname(__FILE__) . '/../' . $index) . '/core/data/rules.php';
		$cpf_found = true;
	}

if (!$cpf_found)
	return;

class PFeedRuleExcludeSKU extends PFeedRule {

	public $filename = '';
	public $exclusions = '';

	public function __construct() {		
		
		$this->filename = dirname(__FILE__) . '/sku-list.txt';
		$this->exclusions = file_get_contents($this->filename);
		$this->exclusions = preg_split( '/\r\n|\n|\r/', trim($this->exclusions) );
		$this->inclusions = array_map('strtolower', $this->exclusions);
	}

	public function process($product) {	
		
		if ( $this->in_arrayi($product->attributes['sku'], $this->exclusions ) )
			$product->attributes['valid'] = false;
	}

	public function in_arrayi($needle, $haystack) {

    	return in_array( strtolower($needle), $this->exclusions );

	}

}

class PFeedRuleIncludeSKU extends PFeedRule {

	public $filename = '';
	public $inclusions = '';

	public function __construct() {
		
		$this->filename = dirname(__FILE__) . '/sku-list.txt';		
		$this->inclusions = file_get_contents($this->filename);		
		$this->inclusions = preg_split( '/\r\n|\n|\r/', trim($this->inclusions) );
	
		$this->inclusions = array_map('strtolower', $this->inclusions);
	}
	
	public function process($product) {	
		
		if ( !($this->in_arrayi($product->attributes['sku'], $this->inclusions )) )
			$product->attributes['valid'] = false;
	}
	
	public function in_arrayi($needle, $haystack) {

    	return in_array( strtolower($needle), $this->inclusions );

	}

}

?>